Open dispute

This request opens a dispute claim on a swipe.

   Click here to learn more about this request

Disputes are made by borrowers to challenge the validity of a swipe made on a line of credit account.

Disputes are created and stored within the Disputes object, which is nested within the LineOfCreditSwipes object. The dispute entity as holds the relationship between the dispute itself and other entities, such as the line of credit account, swipe, and potential credit.

The dispute process within LoanPro consists of multiple steps:

Please note the following when opening disputes:

It is possible to limit the number of disputes made on a single swipe within the program setup configuration via the "allowMultipleDispute" field.

Once a dispute has been opened, the status of the swipe in question will be set as "lineOfCredit.transactionStatus.dispute".

The line of credit account calculations will remain unchanged until a dispute decision is made.

Database

For information regarding line of credit dispute database tables, see the following articles:

Database – Dispute Entity (dispute_entity)

Database – Line of Credit Swipes (line_of_credit_swipe_entity)

{
    "categoryId": 14,
    "originalDisputeAmount": 150.39
}
{
    "categoryId": 14
}
Path Params
int32
required

The ID of the line of credit account associated with the swipe.

int32
required

The ID of the swipe, as generated by LMS.

Body Params
int32
required

The ID of the category with which the dispute is associated.
> Dispute categories can be viewed and created within the UI by navigating to Settings > Line of Credit > Disputes > Categories.

float

The disputed amount of the transaction.
> This field is optional. If left blank, this field defaults to the total amount of the swipe.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json